
@media only screen and (max-width: 600px) {
    .tblDataTable{
        overflow-x: hidden !important;
    }
    .tblDataTable.dataTable tbody td:first-child,
    .tblDataTable.dataTable tbody th:first-child {
        display: none;
    }
    /* Hide the table header */
    .tblDataTable.dataTable thead {
        display: none;
    }

    /* Display each row as block */
    .tblDataTable.dataTable tbody tr {
        display: block;
        margin-bottom: 10px;
        border: 1px solid #ddd;
        padding: 10px;
    }

    /* Ensure each cell appears as block */
    .tblDataTable.dataTable tbody td {
        display: block;
        text-align: left;
        position: relative;
        padding: 10px 20px;
        border: none;
        box-sizing: border-box;
    }

    /* Show column label next to each value */
    .tblDataTable.dataTable tbody td span[data-label]:before {
        content: attr(data-label); /* Show column header */
        position: absolute;
        left: 10px;
        font-weight: bold;
    }

    /* Make sure labels have space */
    .tblDataTable.dataTable tbody td {
        padding-left: 50%;
    }
}



/* 
##Device = Desktops
##Screen = 1281px to higher resolution desktops
*/

@media (min-width: 1281px) {

    .patientDisplayDesktop{
        display: block !important;
    }
    .patientDisplayMobile{
        display: none !important;
    }

    .administerDisplayDesktop{
        display: block !important;
    }
    .administerDisplayMobile{
        display: none !important;
    }

    .mobile-display{
        display: none !important;
    }
    .desktop-display{
        display: block !important;
    }
}

/* 
##Device = Laptops, Desktops
##Screen = B/w 1025px to 1280px
*/

@media (min-width: 1025px) and (max-width: 1280px) {

    .patientDisplayDesktop{
        display: block !important;
    }
    .patientDisplayMobile{
        display: none !important;
    }

    .administerDisplayDesktop{
        display: block !important;
    }
    .administerDisplayMobile{
        display: none !important;
    }
       
    .mobile-display{
        display: none !important;
    }
    .desktop-display{
        display: block !important;
    }
    
}

/* 
##Device = Tablets, Ipads (portrait)
##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) {

    .patientDisplayDesktop{
        display: none !important;
    }
    .patientDisplayMobile{
        display: block !important;
    }

    .administerDisplayDesktop{
        display: none !important;
    }
    .administerDisplayMobile{
        display: block !important;
    }

    .c-tools{
        width: 100% !important;
    }

    .mobile-display{
        display: block !important;
    }
    .desktop-display{
        display: none !important;
    }

    .row-home-fs-card{
        display: flex !important;
        flex-wrap: wrap !important;

        width: 100% !important;
    }

    .col-home-fs-card{
        width: 100% !important;
    }
}

/* 
##Device = Tablets, Ipads (landscape)
##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {

    .patientDisplayDesktop{
        display: block !important;
    }
    .patientDisplayMobile{
        display: none !important;
    }

    .administerDisplayDesktop{
        display: block !important;
    }
    .administerDisplayMobile{
        display: none !important;
    }
    .container-fluid{
        padding-left: 2px !important;
        padding-right: 2px !important;
    }

    .mobile-display{
        display: none !important;
    }
    .desktop-display{
        display: block !important;
    }

    .row-home-vitals{
        display: flex !important;
        flex-wrap: wrap !important;

        width: 100% !important;
    }

    .col-home-vitals{
        width: 50% !important;
    }
    
    .row-home-fs-card{
        display: flex !important;
        flex-wrap: wrap !important;

        width: 100% !important;
    }

    .col-home-fs-card{
        width: 100% !important;
    }
}

/* 
##Device = Low Resolution Tablets, Mobiles (Landscape)
##Screen = B/w 481px to 767px
*/

@media (min-width: 481px) and (max-width: 767px) {

    .patientDisplayDesktop{
        display: none !important;
    }
    .patientDisplayMobile{
        display: block !important;
    }

    .administerDisplayDesktop{
        display: none !important;
    }
    .administerDisplayMobile{
        display: block !important;
    }

    .btn-list{
        width: 100%;
        display: flex;
        flex-wrap: wrap;
    }

    .btn-list-items{
        width: 100%;
    }

    .r-tools{
        display: flex !important;
        flex-wrap: nowrap;
    }

    .mobile-display{
        display: none !important;
    }
    .desktop-display{
        display: block !important;
    }

    
}

/* 
##Device = Most of the Smartphones Mobiles (Portrait)
##Screen = B/w 320px to 479px
*/

@media (min-width: 320px) and (max-width: 480px) {

    .modal-dialog{
        margin: 0.5rem !important;
    }

    .modal .modal-dialog:not(.modal-fullscreen){
        padding: unset !important;
        padding-left: unset !important;
    }

    .patientDisplayDesktop{
        display: none !important;
    }
    .patientDisplayMobile{
        display: block !important;
    }

    .administerDisplayDesktop{
        display: none !important;
    }
    .administerDisplayMobile{
        display: block !important;
    }

    .btn-list{
        width: 100%;
        display: block;
        flex-wrap: wrap;
    }

    .btn-list-items{
        width: 100%;
    }

    .container-fluid{
        padding-left: 10px !important;
        padding-right: 10px !important;
    }

    .h3{
        font-size: 2.15rem !important;
        font-weight: 700 !important;
    }
    
    .buttons-flex {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }
    
    .buttons-flex a {
        width: 49% !important;
        margin-bottom: 3px !important;
    }

    table.tblLaboratoryList th:nth-child(2),
    table.tblLaboratoryList td:nth-child(2) {
        display: none !important;
    }

    .mobile-buttons {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }
    
    .mobile-buttons button, .mobile-buttons a {
        width: 45% !important;
        margin-bottom: 3px !important;
        justify-content: space-between;
    }

    .dataTables_length, .dataTables_filter{
        float: right !important;
    }

    .mobile-display{
        display: block !important;
    }
    .desktop-display{
        display: none !important;
    }

    .f-card-header{
        display: flex !important;
        flex-wrap: wrap !important;
    }

    .cardData{
        height: 685px !important;
    }

    .cardData fieldset div{
        display: flex !important;
        margin-bottom: 10px !important;
        justify-content: space-around !important;    
    }
    
   .cardData fieldset div:nth-of-type(2) {
        float: right !important;
        display: flex !important;
        flex-wrap: wrap !important;
        justify-content: space-around !important;
    }

    .gallery{
        display: flex !important;
        flex-wrap: wrap;
    }

    .gallery .col-md-2{
        width: 25% !important;
    }

    .gallery .col-md-2 p{
        font-size: 12px !important;
    }
    .gallery .col-md-2 .infoDesc{
        display: none !important;
    }

    .flex-mobile{
        display: flex !important;
        flex-wrap: wrap !important;
    }

}

/* .switch input { 
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #848a9e;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: #486edb;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
} */
